---
title: "Historical contract: Orders spend times"
description: "This API endpoint brings a number that is the average time of orders changing status taking into account the filters."
canonical: https://docs.ordering.co/api-reference/guides/history/orders-spend-times/
---

# Historical contract: Orders spend times

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Orders spend times

This API endpoint brings a number that is the average time of orders changing status taking into account the filters

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/reports/GET/reports/drivers_spend_times)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "lapse",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "drivers",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "timezone",
    "in": "query",
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": [\n    {\n      \"time\": \"2020-06-08 00:00:00\",\n      \"accept_spend\": \"22\",\n      \"pickup_spend\": null,\n      \"delivery_spend\": null,\n      \"complete_spend\": null\n    }\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "object",
                "properties": {
                  "time": {
                    "type": "string",
                    "example": "2020-06-08 00:00:00"
                  },
                  "accept_spend": {
                    "type": "string",
                    "example": "22"
                  },
                  "pickup_spend": {},
                  "delivery_spend": {},
                  "complete_spend": {}
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
